diff --git a/gnu/packages/emulators.scm b/gnu/packages/emulators.scm
index 13b6022308..9608d535c4 100644
--- a/gnu/packages/emulators.scm
+++ b/gnu/packages/emulators.scm
@@ -341,7 +341,7 @@ (define-public dolphin-emu
              libxi
              libxrandr
              lzo
-             mbedtls-apache
+             mbedtls-apache-lts
              mesa
              miniupnpc
              openal
diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 75957f7a6b..9c2a322c57 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1959,7 +1959,7 @@ (define-public godot
            libxi
            libxinerama
            libxrandr
-           mbedtls-apache
+           mbedtls-apache-lts
            mesa
            opusfile
            pcre2
diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index c23299d1db..d1ad38adbd 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -703,7 +703,7 @@ (define-public hueplusplus
     (arguments
      `(#:tests? #f)) ;; Tests require Google's gtest and gmock
     (inputs
-     (list mbedtls-apache))
+     (list mbedtls-apache-lts))
     (synopsis "C++ library to control Philips Hue lights")
     (description "Hueplusplus is a library for controlling Philips Hue lights.
 Features:
@@ -1069,7 +1069,7 @@ (define-public openrgb
            hueplusplus
            nlohmann-json
            libusb
-           mbedtls-apache
+           mbedtls-apache-lts
            qtbase-5))
     (native-inputs
      (list pkg-config
diff --git a/gnu/packages/haxe.scm b/gnu/packages/haxe.scm
index 6fc30ce02f..60495630b9 100644
--- a/gnu/packages/haxe.scm
+++ b/gnu/packages/haxe.scm
@@ -78,7 +78,7 @@ (define-public neko
                   apr-util
                   gtk+-2
                   libgc
-                  mbedtls-apache
+                  mbedtls-apache-lts
                   (list mariadb "dev")
                   (list mariadb "lib")
                   openssl
@@ -171,7 +171,7 @@ (define-public haxe
                  (lambda _
                    (invoke "make" "install"))))))
     (inputs (list libuv
-                  mbedtls-apache
+                  mbedtls-apache-lts
                   neko
                   ocaml-extlib
                   ocaml-luv
@@ -255,7 +255,7 @@ (define-public hashlink
                   libpng
                   libuv
                   libvorbis
-                  mbedtls-apache
+                  mbedtls-apache-lts
                   mikktspace
                   minimp3
                   openal
diff --git a/gnu/packages/irc.scm b/gnu/packages/irc.scm
index b31bb6b11a..d442787d97 100644
--- a/gnu/packages/irc.scm
+++ b/gnu/packages/irc.scm
@@ -748,7 +748,7 @@ (define-public inspircd
      (list argon2
            gnutls
            libmaxminddb
-           mbedtls-apache
+           mbedtls-apache-lts
            (list mariadb "dev")
            openldap
            openssl
diff --git a/gnu/packages/julia-jll.scm b/gnu/packages/julia-jll.scm
index 2320b03595..78ec186bf2 100644
--- a/gnu/packages/julia-jll.scm
+++ b/gnu/packages/julia-jll.scm
@@ -1404,7 +1404,7 @@ (define-public julia-mbedtls-jll
               ;; There's a Julia file for each platform, override them all
               (find-files "src/wrappers/" "\\.jl$"))
              #t)))))
-    (inputs (list mbedtls-apache))
+    (inputs (list mbedtls-apache-lts))
     (propagated-inputs (list julia-jllwrappers))
     (home-page "https://github.com/JuliaBinaryWrappers/MbedTLS_jll.jl")
     (synopsis "Apache's mbed TLS binary wrappers")
diff --git a/gnu/packages/julia.scm b/gnu/packages/julia.scm
index ba54175822..82891525c2 100644
--- a/gnu/packages/julia.scm
+++ b/gnu/packages/julia.scm
@@ -511,7 +511,7 @@ (define-public julia
        ("libunwind" ,libunwind-julia)
        ("libuv" ,libuv-julia)
        ("llvm" ,llvm-julia)
-       ("mbedtls-apache" ,mbedtls-apache)
+       ("mbedtls-apache" ,mbedtls-apache-lts)
        ("mpfr" ,mpfr)
        ("openblas" ,openblas)
        ("openlibm" ,openlibm)
diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 7d87ee602c..f26c5efd3c 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -188,7 +188,7 @@ (define-public bctoolbox
                (with-directory-excursion "tester"
                  (invoke "./bctoolbox_tester"))))))))
     (inputs
-     (list bcunit libdecaf mbedtls-apache))
+     (list bcunit libdecaf mbedtls-apache-lts))
     (synopsis "Belledonne Communications Tool Box")
     (description "BcToolBox is an utilities library used by Belledonne
 Communications software like belle-sip, mediastreamer2 and linphone.")
diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 1be505d949..61d8f5c88c 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2294,7 +2294,7 @@ (define-public dislocker
     (build-system cmake-build-system)
     (arguments
      '(#:tests? #f)) ;no test suite
-    (inputs (list fuse mbedtls-apache))
+    (inputs (list fuse mbedtls-apache-lts))
     (synopsis "FUSE driver to read/write Windows BitLocker drives")
     (description
      "This package provides means to to read BitLocker encrypted
diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 30e67d3a98..7e8a1c69f7 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -821,7 +821,7 @@ (define-public nng
     (native-inputs
      `(("ksh" ,oksh)))
     (inputs
-     `(("mbedtls" ,mbedtls-apache)))
+     `(("mbedtls" ,mbedtls-apache-lts)))
     (synopsis "Lightweight messaging library")
     (description "NNG project is a rewrite of the scalability protocols library
 known as libnanomsg, and adds significant new capabilities, while retaining
diff --git a/gnu/packages/search.scm b/gnu/packages/search.scm
index 3e3e8e00c6..a0640799bc 100644
--- a/gnu/packages/search.scm
+++ b/gnu/packages/search.scm
@@ -373,7 +373,7 @@ (define-public dataparksearch
        (list aspell
              c-ares
              libextractor
-             mbedtls-apache
+             mbedtls-apache-lts
              postgresql
              zlib))
       (synopsis "Feature rich search engine")
diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index d162094ed4..cd5933a270 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -941,7 +941,7 @@ (define-public perl-crypt-openssl-random
 
 ;; The "-apache" variant is the upstreamed prefered variant. A "-gpl"
 ;; variant exists in addition to the "-apache" one.
-(define-public mbedtls-apache
+(define-public mbedtls-apache-lts
   (package
     (name "mbedtls-apache")
     ;; XXX Check whether ‘-Wformat-signedness’ still breaks mbedtls-for-hiawatha
@@ -981,7 +981,7 @@ (define-public mbedtls-apache
 (define-public mbedtls-for-hiawatha
   (hidden-package
    (package
-     (inherit mbedtls-apache)
+     (inherit mbedtls-apache-lts)
      (name "mbedtls-apache")
      (version "2.26.0")
      (source
@@ -1003,7 +1003,7 @@ (define-public mbedtls-for-hiawatha
               (("Wformat-truncation=2") "Wformat-truncation"))
             #t))))
      (arguments
-      (substitute-keyword-arguments (package-arguments mbedtls-apache)
+      (substitute-keyword-arguments (package-arguments mbedtls-apache-lts)
         ((#:phases phases)
          `(modify-phases ,phases
             (add-before 'configure 'configure-extra-features
diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index ab19c2dd8c..6486dfe2ed 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -3451,7 +3451,7 @@ (define-public obs
       libxcomposite
       libxkbcommon
       luajit
-      mbedtls-apache
+      mbedtls-apache-lts
       mesa
       pciutils
       pipewire