diff --git a/gnu/packages/emulators.scm b/gnu/packages/emulators.scm
index 0729feb071..8f62aa87bf 100644
--- a/gnu/packages/emulators.scm
+++ b/gnu/packages/emulators.scm
@@ -349,7 +349,7 @@ (define-public dolphin-emu
              libxi
              libxrandr
              lzo
-             mbedtls-apache
+             mbedtls-lts
              mesa
              miniupnpc
              openal
diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index 1d9abd9705..51952714b6 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -2034,7 +2034,7 @@ (define-public godot-lts
            libxi
            libxinerama
            libxrandr
-           mbedtls-apache
+           mbedtls-lts
            mesa
            opusfile
            pcre2
@@ -2276,7 +2276,7 @@ (define-public godot
            libxinerama
            libxkbcommon
            libxrandr
-           mbedtls-apache
+           mbedtls-lts
            mesa
            openxr
            opusfile
diff --git a/gnu/packages/hardware.scm b/gnu/packages/hardware.scm
index 0652e2933d..93d46e53e1 100644
--- a/gnu/packages/hardware.scm
+++ b/gnu/packages/hardware.scm
@@ -695,7 +695,7 @@ (define-public hueplusplus
     (arguments
      `(#:tests? #f)) ;; Tests require Google's gtest and gmock
     (inputs
-     (list mbedtls-apache))
+     (list mbedtls-lts))
     (synopsis "C++ library to control Philips Hue lights")
     (description "Hueplusplus is a library for controlling Philips Hue lights.
 Features:
@@ -1103,7 +1103,7 @@ (define-public openrgb
            hueplusplus
            nlohmann-json
            libusb
-           mbedtls-apache
+           mbedtls-lts
            qtbase-5))
     (native-inputs
      (list pkg-config
diff --git a/gnu/packages/haxe.scm b/gnu/packages/haxe.scm
index 6fc30ce02f..859941df70 100644
--- a/gnu/packages/haxe.scm
+++ b/gnu/packages/haxe.scm
@@ -78,7 +78,7 @@ (define-public neko
                   apr-util
                   gtk+-2
                   libgc
-                  mbedtls-apache
+                  mbedtls-lts
                   (list mariadb "dev")
                   (list mariadb "lib")
                   openssl
@@ -171,7 +171,7 @@ (define-public haxe
                  (lambda _
                    (invoke "make" "install"))))))
     (inputs (list libuv
-                  mbedtls-apache
+                  mbedtls-lts
                   neko
                   ocaml-extlib
                   ocaml-luv
@@ -255,7 +255,7 @@ (define-public hashlink
                   libpng
                   libuv
                   libvorbis
-                  mbedtls-apache
+                  mbedtls-lts
                   mikktspace
                   minimp3
                   openal
diff --git a/gnu/packages/irc.scm b/gnu/packages/irc.scm
index 46961ccb7e..3200ccc135 100644
--- a/gnu/packages/irc.scm
+++ b/gnu/packages/irc.scm
@@ -912,7 +912,7 @@ (define-public inspircd
      (list argon2
            gnutls
            libmaxminddb
-           mbedtls-apache
+           mbedtls-lts
            (list mariadb "dev")
            openldap
            openssl
diff --git a/gnu/packages/julia-jll.scm b/gnu/packages/julia-jll.scm
index 1c03b7e589..bbf6f70584 100644
--- a/gnu/packages/julia-jll.scm
+++ b/gnu/packages/julia-jll.scm
@@ -1403,7 +1403,7 @@ (define-public julia-mbedtls-jll
               ;; There's a Julia file for each platform, override them all
               (find-files "src/wrappers/" "\\.jl$"))
              #t)))))
-    (inputs (list mbedtls-apache))
+    (inputs (list mbedtls-lts))
     (propagated-inputs (list julia-jllwrappers))
     (home-page "https://github.com/JuliaBinaryWrappers/MbedTLS_jll.jl")
     (synopsis "Apache's mbed TLS binary wrappers")
diff --git a/gnu/packages/julia.scm b/gnu/packages/julia.scm
index 8ba2b480ce..3d9a53048a 100644
--- a/gnu/packages/julia.scm
+++ b/gnu/packages/julia.scm
@@ -515,7 +515,7 @@ (define-public julia
        ("libunwind" ,libunwind-julia)
        ("libuv" ,libuv-julia)
        ("llvm" ,llvm-julia)
-       ("mbedtls-apache" ,mbedtls-apache)
+       ("mbedtls-apache" ,mbedtls-lts)
        ("mpfr" ,mpfr)
        ,@(if (target-x86-64?)
              `(("openblas" ,openblas-ilp64))
diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 48a30f32d0..be011fd976 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -184,7 +184,7 @@ (define-public bctoolbox
                (with-directory-excursion "tester"
                  (invoke "./bctoolbox_tester"))))))))
     (inputs
-     (list bcunit libdecaf mbedtls-apache))
+     (list bcunit libdecaf mbedtls-lts))
     (synopsis "Belledonne Communications Tool Box")
     (description "BcToolBox is an utilities library used by Belledonne
 Communications software like belle-sip, mediastreamer2 and linphone.")
diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 2024163a08..44cf4c5f25 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -2378,7 +2378,7 @@ (define-public dislocker
     (build-system cmake-build-system)
     (arguments
      '(#:tests? #f)) ;no test suite
-    (inputs (list fuse-2 mbedtls-apache))
+    (inputs (list fuse-2 mbedtls-lts))
     (synopsis "FUSE driver to read/write Windows BitLocker drives")
     (description
      "This package provides means to to read BitLocker encrypted
diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index 2028830087..673450390d 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -841,7 +841,7 @@ (define-public nng
              (substitute* "src/supplemental/websocket/CMakeLists.txt"
                (("nng_test\\(wssfile_test\\)") "")))))))
     (native-inputs (list oksh))
-    (inputs (list mbedtls-apache))
+    (inputs (list mbedtls-lts))
     (synopsis "Lightweight messaging library")
     (description "NNG project is a rewrite of the scalability protocols library
 known as libnanomsg, and adds significant new capabilities, while retaining
diff --git a/gnu/packages/search.scm b/gnu/packages/search.scm
index 5e86d1a76c..794a12890e 100644
--- a/gnu/packages/search.scm
+++ b/gnu/packages/search.scm
@@ -373,7 +373,7 @@ (define-public dataparksearch
        (list aspell
              c-ares
              libextractor
-             mbedtls-apache
+             mbedtls-lts
              postgresql
              zlib))
       (synopsis "Feature rich search engine")
diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 9038a546f4..d53893ec5a 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -984,9 +984,9 @@ (define-public perl-crypt-openssl-random
 number generator")
   (license license:perl-license)))
 
-(define-public mbedtls-apache
+(define-public mbedtls-lts
   (package
-    (name "mbedtls-apache")
+    (name "mbedtls")
     (version "2.28.6")
     (source
      (origin
@@ -1018,13 +1018,16 @@ (define-public mbedtls-apache
     (home-page "https://www.trustedfirmware.org/projects/mbed-tls/")
     (license (list license:asl2.0 license:gpl2+)))) ;dual licensed
 
+(define-public mbedtls-apache
+  (deprecated-package "mbedtls-apache" mbedtls-lts))
+
 ;; The Hiawatha Web server requires some specific features to be enabled.
 (define-public mbedtls-for-hiawatha
   (hidden-package
    (package
-     (inherit mbedtls-apache)
+     (inherit mbedtls-lts)
      (arguments
-      (substitute-keyword-arguments (package-arguments mbedtls-apache)
+      (substitute-keyword-arguments (package-arguments mbedtls-lts)
         ((#:phases phases)
          #~(modify-phases #$phases
              (add-before 'configure 'configure-extra-features
diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index 561268aabd..92c055bf2b 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -3591,7 +3591,7 @@ (define-public obs
       libxcomposite
       libxkbcommon
       luajit
-      mbedtls-apache
+      mbedtls-lts
       mesa
       pciutils
       pipewire